#ifndef USB_BDT_H
#define USB_BDT_H

#include <reg/usbotg.h>

extern struct usb0_bd usb_bdt[4 * 16];

#define BDT_ENDPT(n, tx, odd) (usb_bdt[(n) << 2 | (tx & 1) << 1 | (odd & 1)])
#define BDT_RX 0
#define BDT_TX 1
#define BDT_EVEN 0
#define BDT_ODD 1

#endif /* USB_BDT_H */
